extends CharacterBody3D

@export var text: Resource
var moving: bool

func animate_move():
	$Model/AnimationPlayer.play("walk")

func animate_idle():
	$Model/AnimationPlayer.play("idle")

# Dummy function to avoid having to distinct npc from pickup
func pointing(point: bool): pass
func destroy(): pass

func get_text() -> Resource:
	if moving:
		return null
	else:
		return text

func is_photo() -> bool:
	return false
